%define		plugin	check_mysql_health
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin: monitor various performance-related characteristics of a MySQL DB
Summary(pl.UTF-8):	Wtyczka Nagiosa monitorująca parametry wydajnościowe bazy danych MySQL
Name:		nagios-plugin-%{plugin}
Version:	2.1.8.2
Release:	1
License:	GPL v2+
Group:		Networking
Source0:	http://labs.consol.de/download/shinken-nagios-plugins/check_mysql_health-%{version}.tar.gz
# Source0-md5:	7ae986ab7ecbb576dbb657e8ef0490f2
Source1:	%{plugin}.cfg
URL:		http://labs.consol.de/lang/en/nagios/check_mysql_health/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
Requires:	nagios-common >= 3.2.3-3
Obsoletes:	nagios-plugin-check_mysql_perf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins
%define		statedir	/var/spool/nagios/%{plugin}

%description
Nagios plugin which allows you to monitor various performance-related
characteristics of a MySQL database.

%description -l pl.UTF-8
Wtyczka Nagiosa pozwalająca na monitorowanie różnych parametrów bazy
danych MySQL związanych z wydajnością.

%prep
%setup -q -n %{plugin}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
# NOTE: _target macro becames "noarch" if ./builder passes --target=noarch, so
# be sure use plain rpmbuild.
%configure \
	--host=%{_host} \
	--build=%{_host} \
	--with-perl=%{__perl} \
	--libdir=%{plugindir} \
	--libexecdir=%{plugindir} \
	--with-mymodules-dir=%{plugindir} \
	--with-mymodules-dyn-dir=%{plugindir} \
	--with-statefiles-dir=%{statedir} \
	--with-nagios-user=nagios \
	--with-nagios-group=nagios
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{statedir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%attr(770,root,nagios) %dir %{statedir}
%changelog
* Tue Sep 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_mysql_health.git;a=log;h=master

* Tue Sep 17 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2142af2
- up to 2.1.8.2

* Sun Oct 09 2011 Elan Ruusamäe <glen@pld-linux.org> d95392c
- up to 2.1.7

* Sat Jan 01 2011 Adam Gołębiowski <adamg@pld-linux.org> f58a931
- updated to 2.1.5

* Thu Oct 07 2010 Elan Ruusamäe <glen@pld-linux.org> 7a9524c
- nagios common with spool dir

* Thu Oct 07 2010 Elan Ruusamäe <glen@pld-linux.org> 9da0f45
- relocated spool dir

* Thu Oct 07 2010 Elan Ruusamäe <glen@pld-linux.org> f176e46
- up to 2.1.3
- setup paths properly instead leaving random defaults

* Thu Oct 07 2010 Elan Ruusamäe <glen@pld-linux.org> 36be048
- add check_mysql_health service template
- add check_mysql_health generic command

* Thu May 13 2010 sparky <sparky@pld-linux.org> eb213ec
- BR: autoconf, automake, libtool

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> efffc3a
- up to 2.1.1 (trace support)

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> 2061775
- move config to separate file
- noarch and fool autoconf
- depend on nagios-common not nagios-core
- rel 2

* Fri Nov 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d39aa0
- up to 2.1

* Thu Apr 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d53c60a
- BR perl stuff

* Thu Apr 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 55cdf1c
- O: nagios-plugin-check_mysql_perf

* Thu Apr 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2143955
- new, obsoletes mysql_perf.

